Groovy Documentation

## org.codehaus.groovy.grails.web.mapping
[Java] Class DefaultUrlMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
          org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingInfo

All Implemented Interfaces:
  UrlMappingInfo

    public class DefaultUrlMappingInfo
    extends AbstractUrlMappingInfo

Holds information established from a matched URL.

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary

Fields inherited from class AbstractUrlMappingInfo
params

Constructor Summary
`DefaultUrlMappingInfo(java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, ServletContext servletContext)`
`DefaultUrlMappingInfo(java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, ServletContext servletContext)`
`DefaultUrlMappingInfo(java.lang.Object uri, UrlMappingData data, ServletContext servletContext)`

Method Summary
`java.lang.String` | `getActionName()`
`java.lang.String` | `getControllerName()`
`java.lang.String` | `getId()`
`java.util.Map` | `getParameters()`
`java.lang.String` | `getURI()`
`java.lang.String` | `getViewName()`
`boolean` | `isParsingRequest()`
`void` | `setParsingRequest(boolean parsingRequest)`
`java.lang.String` | `toString()`

Methods inherited from class AbstractUrlMappingInfo
configure, evaluateNameForValue, evaluateNameForValue, populateParamsForMapping

Constructor Detail

### DefaultUrlMappingInfo

    @SuppressWarnings("rawtypes")
    public DefaultUrlMappingInfo(java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, ServletContext servletContext)

### DefaultUrlMappingInfo

    @SuppressWarnings("rawtypes")
    public DefaultUrlMappingInfo(java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, ServletContext servletContext)

### DefaultUrlMappingInfo

    public DefaultUrlMappingInfo(java.lang.Object uri, UrlMappingData data, ServletContext servletContext)

Method Detail

### getActionName

    public java.lang.String getActionName()

### getControllerName

    public java.lang.String getControllerName()

### getId

    public java.lang.String getId()

### getParameters

    @SuppressWarnings("rawtypes")
    public java.util.Map getParameters()

### getURI

    public java.lang.String getURI()

### getViewName

    public java.lang.String getViewName()

### isParsingRequest

    public boolean isParsingRequest()

### setParsingRequest

    public void setParsingRequest(boolean parsingRequest)

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation